Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.idsupport.protocol.v2
Class VerifyIdResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.idsupport.protocol.v2.VerifyIdResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:24:49+02:00",
               comments="JAXB RI v2.2.11")
    public class VerifyIdResponse

extends StatusResponseType
implements Serializable

Structure of response message to verify the combination of person SSIN and its support card number

Java class for VerifyIdResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="VerifyIdResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:idsupport:core:v2}ValidationResult" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`VerifyIdResponse()`

Method Summary
`ValidationResult` | `getValidationResult()` Gets the value of the validationResult property.
`void` | `setValidationResult(ValidationResult value)` Sets the value of the validationResult property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyIdResponse

    public VerifyIdResponse()

Method Detail

### getValidationResult

    public ValidationResult getValidationResult()

  Gets the value of the validationResult property.

  Returns:
    possible object is `ValidationResult`

### setValidationResult

    public void setValidationResult(ValidationResult value)

  Sets the value of the validationResult property.

  Parameters:
    `value` - allowed object is `ValidationResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.